changeset in /hg/icedtea: 2007-09-11 Joshua Sumali <jsumali at re...
Joshua Sumali
jsumali at redhat.com
Tue Sep 11 09:52:22 PDT 2007
changeset 8c4bbe11b002 in /hg/icedtea
details: http://icedtea.classpath.org/hg/icedtea?cmd=changeset;node=8c4bbe11b002
description:
2007-09-11 Joshua Sumali <jsumali at redhat.com>
* patches/icedtea-demos.patch: New File. Patches the sample
jvmti makefiles.
* configure.ac: Added a check for chmod.
* configure: Regenerated.
* Makefile.am: Added line to add write
permissions to the sample makefiles to be patched.
* Makefile.in: Regenerated.
diffstat:
6 files changed, 458 insertions(+), 2 deletions(-)
ChangeLog | 10 +
Makefile.am | 5
Makefile.in | 6
configure | 115 +++++++++++++++
configure.ac | 1
patches/icedtea-demos.patch | 323 +++++++++++++++++++++++++++++++++++++++++++
diffs (truncated from 576 to 500 lines):
diff -r a6883ba15bfb -r 8c4bbe11b002 ChangeLog
--- a/ChangeLog Sun Sep 09 20:22:32 2007 +0200
+++ b/ChangeLog Tue Sep 11 10:46:22 2007 -0400
@@ -1,3 +1,13 @@ 2007-09-09 Mark Wielaard <mark at klomp.o
+2007-09-11 Joshua Sumali <jsumali at redhat.com>
+
+ * patches/icedtea-demos.patch: New File. Patches the sample
+ jvmti makefiles.
+ * configure.ac: Added a check for chmod.
+ * configure: Regenerated.
+ * Makefile.am: Added line to add write
+ permissions to the sample makefiles to be patched.
+ * Makefile.in: Regenerated.
+
2007-09-09 Mark Wielaard <mark at klomp.org>
* README: Add references to home page, bugzilla, faq, mailing list
diff -r a6883ba15bfb -r 8c4bbe11b002 Makefile.am
--- a/Makefile.am Sun Sep 09 20:22:32 2007 +0200
+++ b/Makefile.am Tue Sep 11 10:46:22 2007 -0400
@@ -134,6 +134,8 @@ stamps/extract.stamp: stamps/download.st
if ! test -d openjdk ; \
then \
$(UNZIP) -q $(OPENJDK_SRC_ZIP) ; \
+ chmod ug+w `find openjdk/j2se/src/share/demo/jvmti \
+ -name sample.makefile.txt` ; \
fi
mkdir -p stamps
touch stamps/extract.stamp
@@ -167,6 +169,7 @@ ICEDTEA_PATCHES = \
patches/icedtea-lesstif_amd64.patch \
patches/icedtea-tools.patch \
patches/icedtea-certbundle.patch \
+ patches/icedtea-demos.patch \
$(FAST_BUILD_PATCH)
stamps/patch.stamp: stamps/extract.stamp
@@ -205,6 +208,8 @@ stamps/extract-ecj.stamp: stamps/downloa
$(UNZIP) -q -d tmp-ecj $(OPENJDK_SRC_ZIP) ; \
mv tmp-ecj/openjdk openjdk-ecj ; \
rmdir tmp-ecj ; \
+ chmod ug+w `find openjdk-ecj/j2se/share/demo/jvmti \
+ -name sample.makefile.txt` ; \
fi
mkdir -p stamps
touch stamps/extract-ecj.stamp
diff -r a6883ba15bfb -r 8c4bbe11b002 Makefile.in
--- a/Makefile.in Sun Sep 09 20:22:32 2007 +0200
+++ b/Makefile.in Tue Sep 11 10:46:22 2007 -0400
@@ -69,6 +69,7 @@ CC = @CC@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
+CHMOD = @CHMOD@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
@@ -287,6 +288,7 @@ ICEDTEA_PATCHES = \
patches/icedtea-lesstif_amd64.patch \
patches/icedtea-tools.patch \
patches/icedtea-certbundle.patch \
+ patches/icedtea-demos.patch \
$(FAST_BUILD_PATCH)
@@ -667,6 +669,8 @@ stamps/extract.stamp: stamps/download.st
if ! test -d openjdk ; \
then \
$(UNZIP) -q $(OPENJDK_SRC_ZIP) ; \
+ chmod ug+w `find openjdk/j2se/src/share/demo/jvmti \
+ -name sample.makefile.txt` ; \
fi
mkdir -p stamps
touch stamps/extract.stamp
@@ -711,6 +715,8 @@ stamps/extract-ecj.stamp: stamps/downloa
$(UNZIP) -q -d tmp-ecj $(OPENJDK_SRC_ZIP) ; \
mv tmp-ecj/openjdk openjdk-ecj ; \
rmdir tmp-ecj ; \
+ chmod ug+w `find openjdk-ecj/j2se/share/demo/jvmti \
+ -name sample.makefile.txt` ; \
fi
mkdir -p stamps
touch stamps/extract-ecj.stamp
diff -r a6883ba15bfb -r 8c4bbe11b002 configure
--- a/configure Sun Sep 09 20:22:32 2007 +0200
+++ b/configure Tue Sep 11 10:46:22 2007 -0400
@@ -709,6 +709,7 @@ PATCH
PATCH
UNZIP
WGET
+CHMOD
GAWK
SYSTEM_ICEDTEA_DIR
WITH_ICEDTEA_TRUE
@@ -4579,6 +4580,115 @@ fi
if test x"$WGET" = x ; then
{ { echo "$as_me:$LINENO: error: wget program not found in PATH" >&5
echo "$as_me: error: wget program not found in PATH" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+
+
+if test -n "$ac_tool_prefix"; then
+ # Extract the first word of "${ac_tool_prefix}chmod", so it can be a program name with args.
+set dummy ${ac_tool_prefix}chmod; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_path_CHMOD+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ case $CHMOD in
+ [\\/]* | ?:[\\/]*)
+ ac_cv_path_CHMOD="$CHMOD" # Let the user override the test with a path.
+ ;;
+ *)
+ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+ IFS=$as_save_IFS
+ test -z "$as_dir" && as_dir=.
+ for ac_exec_ext in '' $ac_executable_extensions; do
+ if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+ ac_cv_path_CHMOD="$as_dir/$ac_word$ac_exec_ext"
+ echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+ break 2
+ fi
+done
+done
+IFS=$as_save_IFS
+
+ ;;
+esac
+fi
+CHMOD=$ac_cv_path_CHMOD
+if test -n "$CHMOD"; then
+ { echo "$as_me:$LINENO: result: $CHMOD" >&5
+echo "${ECHO_T}$CHMOD" >&6; }
+else
+ { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+fi
+if test -z "$ac_cv_path_CHMOD"; then
+ ac_pt_CHMOD=$CHMOD
+ # Extract the first word of "chmod", so it can be a program name with args.
+set dummy chmod; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_path_ac_pt_CHMOD+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ case $ac_pt_CHMOD in
+ [\\/]* | ?:[\\/]*)
+ ac_cv_path_ac_pt_CHMOD="$ac_pt_CHMOD" # Let the user override the test with a path.
+ ;;
+ *)
+ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+ IFS=$as_save_IFS
+ test -z "$as_dir" && as_dir=.
+ for ac_exec_ext in '' $ac_executable_extensions; do
+ if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+ ac_cv_path_ac_pt_CHMOD="$as_dir/$ac_word$ac_exec_ext"
+ echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+ break 2
+ fi
+done
+done
+IFS=$as_save_IFS
+
+ ;;
+esac
+fi
+ac_pt_CHMOD=$ac_cv_path_ac_pt_CHMOD
+if test -n "$ac_pt_CHMOD"; then
+ { echo "$as_me:$LINENO: result: $ac_pt_CHMOD" >&5
+echo "${ECHO_T}$ac_pt_CHMOD" >&6; }
+else
+ { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+ if test "x$ac_pt_CHMOD" = x; then
+ CHMOD=""
+ else
+ case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet. If you think this
+configuration is useful to you, please write to autoconf at gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet. If you think this
+configuration is useful to you, please write to autoconf at gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+ CHMOD=$ac_pt_CHMOD
+ fi
+else
+ CHMOD="$ac_cv_path_CHMOD"
+fi
+
+ if test x"$CHMOD" = x ; then
+ { { echo "$as_me:$LINENO: error: chmod program not found in PATH" >&5
+echo "$as_me: error: chmod program not found in PATH" >&2;}
{ (exit 1); exit 1; }; }
fi
@@ -10065,9 +10175,9 @@ PATCH!$PATCH$ac_delim
PATCH!$PATCH$ac_delim
UNZIP!$UNZIP$ac_delim
WGET!$WGET$ac_delim
+CHMOD!$CHMOD$ac_delim
GAWK!$GAWK$ac_delim
SYSTEM_ICEDTEA_DIR!$SYSTEM_ICEDTEA_DIR$ac_delim
-WITH_ICEDTEA_TRUE!$WITH_ICEDTEA_TRUE$ac_delim
_ACEOF
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -10109,6 +10219,7 @@ ac_delim='%!_!# '
ac_delim='%!_!# '
for ac_last_try in false false false false false :; do
cat >conf$$subs.sed <<_ACEOF
+WITH_ICEDTEA_TRUE!$WITH_ICEDTEA_TRUE$ac_delim
WITH_ICEDTEA_FALSE!$WITH_ICEDTEA_FALSE$ac_delim
BUILD_ARCH_DIR!$BUILD_ARCH_DIR$ac_delim
INSTALL_ARCH_DIR!$INSTALL_ARCH_DIR$ac_delim
@@ -10146,7 +10257,7 @@ LTLIBOBJS!$LTLIBOBJS$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 35; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 36; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff -r a6883ba15bfb -r 8c4bbe11b002 configure.ac
--- a/configure.ac Sun Sep 09 20:22:32 2007 +0200
+++ b/configure.ac Tue Sep 11 10:46:22 2007 -0400
@@ -14,6 +14,7 @@ FIND_TOOL([PATCH], [patch])
FIND_TOOL([PATCH], [patch])
FIND_TOOL([UNZIP], [unzip])
FIND_TOOL([WGET], [wget])
+FIND_TOOL([CHMOD], [chmod])
dnl OpenJDK's README-builds.html lists gawk as a build dependency so we
dnl check for it explicitly rather than using AC_PROG_AWK.
FIND_TOOL([GAWK], [gawk])
diff -r a6883ba15bfb -r 8c4bbe11b002 patches/icedtea-demos.patch
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/patches/icedtea-demos.patch Tue Sep 11 10:46:22 2007 -0400
@@ -0,0 +1,323 @@
+--- openjdkb18/j2se/src/share/demo/jvmti/gctest/sample.makefile.txt 2007-08-16 03:33:19.000000000 -0400
++++ openjdk/j2se/src/share/demo/jvmti/gctest/sample.makefile.txt 2007-08-23 16:12:59.000000000 -0400
+@@ -43,7 +43,7 @@
+
+ # Source lists
+ LIBNAME=gctest
+-SOURCES=gctest.c ../agent_util/agent_util.c
++SOURCES=gctest.c ../../agent_util/src/agent_util.c
+
+ # Solaris Sun C Compiler Version 5.5
+ ifeq ($(OSNAME), solaris)
+@@ -89,7 +89,7 @@
+ # Object files needed to create library
+ OBJECTS=$(SOURCES:%.c=%.o)
+ # Library name and options needed to build it
+- LIBRARY=lib$(LIBNAME).so
++ LIBRARY=../lib/lib$(LIBNAME).so
+ LDFLAGS=-Wl,-soname=$(LIBRARY) -static-libgcc -mimpure-text
+ # Libraries we are dependent on
+ LIBRARIES=-lc
+@@ -122,7 +122,7 @@
+
+ # Common -I options
+ CFLAGS += -I.
+-CFLAGS += -I../agent_util
++CFLAGS += -I../../agent_util/src
+ CFLAGS += -I$(JDK)/include -I$(JDK)/include/$(OSNAME)
+
+ # Default rule
+--- openjdkb18/j2se/src/share/demo/jvmti/heapTracker/sample.makefile.txt 2007-08-16 03:33:20.000000000 -0400
++++ openjdk/j2se/src/share/demo/jvmti/heapTracker/sample.makefile.txt 2007-08-24 15:15:40.000000000 -0400
+@@ -41,13 +41,15 @@
+ #
+ ########################################################################
+
++JAVA_CRW_DEMO=../../java_crw_demo/src/libjava_crw_demo.so
++
+ # Source lists
+ LIBNAME=heapTracker
+-SOURCES=heapTracker.c ../agent_util/agent_util.c
++SOURCES=heapTracker.c ../../agent_util/src/agent_util.c
+ JAVA_SOURCES=HeapTracker.java
+
+ # Name of jar file that needs to be created
+-JARFILE=heapTracker.jar
++JARFILE=../heapTracker.jar
+
+ # Solaris Sun C Compiler Version 5.5
+ ifeq ($(OSNAME), solaris)
+@@ -93,10 +95,10 @@
+ # Object files needed to create library
+ OBJECTS=$(SOURCES:%.c=%.o)
+ # Library name and options needed to build it
+- LIBRARY=lib$(LIBNAME).so
++ LIBRARY=../lib/lib$(LIBNAME).so
+ LDFLAGS=-Wl,-soname=$(LIBRARY) -static-libgcc -mimpure-text
+ # Libraries we are dependent on
+- LIBRARIES=-L $(JDK)/jre/lib/$(LIBARCH) -ljava_crw_demo -lc
++ LIBRARIES=-L../../java_crw_demo/src/ -ljava_crw_demo -lc
+ # Building a shared library
+ LINK_SHARED=$(LINK.c) -shared -o $@
+ endif
+@@ -128,15 +130,18 @@
+
+ # Common -I options
+ CFLAGS += -I.
+-CFLAGS += -I../agent_util
+-CFLAGS += -I../java_crw_demo
++CFLAGS += -I../../agent_util/src
++CFLAGS += -I../../java_crw_demo/src
+ CFLAGS += -I$(JDK)/include -I$(JDK)/include/$(OSNAME)
+
+ # Default rule (build both native library and jar file)
+ all: $(LIBRARY) $(JARFILE)
+
++$(JAVA_CRW_DEMO):
++ make JDK=$(JDK) OSNAME=$(OSNAME) -C ../../java_crw_demo/src -f sample.makefile.txt
++
+ # Build native library
+-$(LIBRARY): $(OBJECTS)
++$(LIBRARY): $(OBJECTS) $(JAVA_CRW_DEMO)
+ $(LINK_SHARED) $(OBJECTS) $(LIBRARIES)
+
+ # Build jar file
+--- openjdkb18/j2se/src/share/demo/jvmti/heapViewer/sample.makefile.txt 2007-08-16 03:33:20.000000000 -0400
++++ openjdk/j2se/src/share/demo/jvmti/heapViewer/sample.makefile.txt 2007-08-23 16:13:00.000000000 -0400
+@@ -43,7 +43,7 @@
+
+ # Source lists
+ LIBNAME=heapViewer
+-SOURCES=heapViewer.c ../agent_util/agent_util.c
++SOURCES=heapViewer.c ../../agent_util/src/agent_util.c
+
+ # Solaris Sun C Compiler Version 5.5
+ ifeq ($(OSNAME), solaris)
+@@ -89,7 +89,7 @@
+ # Object files needed to create library
+ OBJECTS=$(SOURCES:%.c=%.o)
+ # Library name and options needed to build it
+- LIBRARY=lib$(LIBNAME).so
++ LIBRARY=../lib/lib$(LIBNAME).so
+ LDFLAGS=-Wl,-soname=$(LIBRARY) -static-libgcc -mimpure-text
+ # Libraries we are dependent on
+ LIBRARIES=-lc
+@@ -123,6 +123,7 @@
+ # Common -I options
+ CFLAGS += -I.
+ CFLAGS += -I$(JDK)/include -I$(JDK)/include/$(OSNAME)
++CFLAGS += -I../../agent_util/src
+
+ # Default rule
+ all: $(LIBRARY)
+--- openjdkb18/j2se/src/share/demo/jvmti/hprof/sample.makefile.txt 2007-08-16 03:33:21.000000000 -0400
++++ openjdk/j2se/src/share/demo/jvmti/hprof/sample.makefile.txt 2007-08-23 16:12:58.000000000 -0400
+@@ -73,7 +73,7 @@
+ JAVA_SOURCES=Tracker.java
+
+ # Name of jar file that needs to be created
+-#JARFILE=hprof.jar
++JARFILE=../hprof.jar
+
+ # Solaris Sun C Compiler Version 5.5
+ ifeq ($(OSNAME), solaris)
+@@ -110,7 +110,7 @@
+ # Linux GNU C Compiler
+ ifeq ($(OSNAME), linux)
+ # GNU Compiler options needed to build it
+- COMMON_FLAGS=-fno-strict-aliasing -fPIC -fno-omit-frame-pointer
++ COMMON_FLAGS=-fno-strict-aliasing -fPIC -fno-omit-frame-pointer -DSKIP_NPT
+ # Options that help find errors
+ COMMON_FLAGS+= -W -Wall -Wno-unused -Wno-parentheses
+ # To allow access to dladdr()
+@@ -166,7 +166,7 @@
+
+ # Common -I options
+ CFLAGS += -I.
+-CFLAGS += -I../java_crw_demo
++CFLAGS += -I../../java_crw_demo/src
+ CFLAGS += -I$(JDK)/include -I$(JDK)/include/$(OSNAME)
+
+ # Default rule (build both native library and jar file)
+--- openjdkb18/j2se/src/share/demo/jvmti/minst/sample.makefile.txt 2007-08-16 03:33:21.000000000 -0400
++++ openjdk/j2se/src/share/demo/jvmti/minst/sample.makefile.txt 2007-08-24 15:16:17.000000000 -0400
+@@ -41,13 +41,15 @@
+ #
+ ########################################################################
+
++JAVA_CRW_DEMO=../../java_crw_demo/src/libjava_crw_demo.so
++
+ # Source lists
+ LIBNAME=minst
+-SOURCES=minst.c ../agent_util/agent_util.c
++SOURCES=minst.c ../../agent_util/src/agent_util.c
+ JAVA_SOURCES=Minst.java
+
+ # Name of jar file that needs to be created
+-JARFILE=minst.jar
++JARFILE=../minst.jar
+
+ # Solaris Sun C Compiler Version 5.5
+ ifeq ($(OSNAME), solaris)
+@@ -93,10 +95,10 @@
+ # Object files needed to create library
+ OBJECTS=$(SOURCES:%.c=%.o)
+ # Library name and options needed to build it
+- LIBRARY=lib$(LIBNAME).so
++ LIBRARY=../lib/lib$(LIBNAME).so
+ LDFLAGS=-Wl,-soname=$(LIBRARY) -static-libgcc -mimpure-text
+ # Libraries we are dependent on
+- LIBRARIES=-L $(JDK)/jre/lib/$(LIBARCH) -ljava_crw_demo -lc
++ LIBRARIES=-L../../java_crw_demo/src/ -ljava_crw_demo -lc
+ # Building a shared library
+ LINK_SHARED=$(LINK.c) -shared -o $@
+ endif
+@@ -128,15 +130,18 @@
+
+ # Common -I options
+ CFLAGS += -I.
+-CFLAGS += -I../agent_util
+-CFLAGS += -I../java_crw_demo
++CFLAGS += -I../../agent_util/src
++CFLAGS += -I../../java_crw_demo/src
+ CFLAGS += -I$(JDK)/include -I$(JDK)/include/$(OSNAME)
+
+ # Default rule (build both native library and jar file)
+ all: $(LIBRARY) $(JARFILE)
+
++$(JAVA_CRW_DEMO):
++ make JDK=$(JDK) OSNAME=$(OSNAME) -C ../../java_crw_demo/src -f sample.makefile.txt
++
+ # Build native library
+-$(LIBRARY): $(OBJECTS)
++$(LIBRARY): $(OBJECTS) $(JAVA_CRW_DEMO)
+ $(LINK_SHARED) $(OBJECTS) $(LIBRARIES)
+
+ # Build jar file
+--- openjdkb18/j2se/src/share/demo/jvmti/mtrace/sample.makefile.txt 2007-08-16 03:33:21.000000000 -0400
++++ openjdk/j2se/src/share/demo/jvmti/mtrace/sample.makefile.txt 2007-08-24 15:16:01.000000000 -0400
+@@ -41,13 +41,15 @@
+ #
+ ########################################################################
+
++JAVA_CRW_DEMO=../../java_crw_demo/src/libjava_crw_demo.so
++
+ # Source lists
+ LIBNAME=mtrace
+-SOURCES=mtrace.c ../agent_util/agent_util.c
++SOURCES=mtrace.c ../../agent_util/src/agent_util.c
+ JAVA_SOURCES=Mtrace.java
+
+ # Name of jar file that needs to be created
+-JARFILE=mtrace.jar
++JARFILE=../mtrace.jar
+
+ # Solaris Sun C Compiler Version 5.5
+ ifeq ($(OSNAME), solaris)
+@@ -93,10 +95,11 @@
+ # Object files needed to create library
+ OBJECTS=$(SOURCES:%.c=%.o)
+ # Library name and options needed to build it
+- LIBRARY=lib$(LIBNAME).so
++ LIBRARY=../lib/lib$(LIBNAME).so
+ LDFLAGS=-Wl,-soname=$(LIBRARY) -static-libgcc -mimpure-text
+ # Libraries we are dependent on
+- LIBRARIES=-L $(JDK)/jre/lib/$(LIBARCH) -ljava_crw_demo -lc
++ LIBRARIES=-L../../java_crw_demo/src -ljava_crw_demo -lc
++
+ # Building a shared library
+ LINK_SHARED=$(LINK.c) -shared -o $@
+ endif
+@@ -128,15 +131,18 @@
+
+ # Common -I options
+ CFLAGS += -I.
+-CFLAGS += -I../agent_util
+-CFLAGS += -I../java_crw_demo
++CFLAGS += -I../../agent_util/src
++CFLAGS += -I../../java_crw_demo/src
+ CFLAGS += -I$(JDK)/include -I$(JDK)/include/$(OSNAME)
+
+ # Default rule (build both native library and jar file)
+ all: $(LIBRARY) $(JARFILE)
+
++$(JAVA_CRW_DEMO):
++ make JDK=$(JDK) OSNAME=$(OSNAME) -C ../../java_crw_demo/src -f sample.makefile.txt
++
+ # Build native library
More information about the distro-pkg-dev
mailing list